#### PyKDE - Python Bindings for KDE

# class DOM.HTMLBaseElement |
Table of contents
Modules
khtml Classes
All Classes

Module | khtml
Class | DOM.HTMLBaseElement
Inherits | DOM.HTMLElement

### methods

- HTMLBaseElement ()

  returns a HTMLBaseElement instance

- HTMLBaseElement (other)

  returns a HTMLBaseElement instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLBaseElement |

- HTMLBaseElement (other)

  returns a HTMLBaseElement instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- HTMLBaseElement (impl)

  Not Implemented

- href ()

  returns (DOM.DOMString)

- setHref (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | DOM.DOMString |

- setTarget (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | DOM.DOMString |

- target ()

  returns (DOM.DOMString)